body {
    font-family: 'Be Vietnam Pro', sans-serif;
}

.no-bottom, .no-bottom > .col {
	padding-bottom: 0 !important;
}

.main-label p{
	font-family: "Whisper", Sans-serif;
    font-size: clamp(1.3rem,4vw,1.8rem);
    font-weight: 400;
    line-height: 32px;
	color: #ca6d6f;
	margin: 0;
}
.main-tt p {
	margin: 0;
	font-size: clamp(1.5rem,4vw,2.2rem);
	font-weight: 700;
}
.btn-ct > .col-inner {
	display: flex;
	justify-content:center;
}
.main-btn {
	color: #ffffff;
    padding: 10px 30px 10px 30px;
    box-shadow: 6px 6px 0px 0px rgba(0, 0, 0, 0.5) !important;
	background: var(--primary-color);
	font-weight: 500 !important;
	padding: 5px 25px !important;
	transition: .3s all !important;
}
.main-btn:hover {
	box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.5) !important;
	color: #fff;
	background: #6B6B6B;
}


/* home */
.ct-flashsale-title {
    display: flex;
    justify-content: start;
    align-items: center;
	font-size: 1.6rem;
	text-transform: uppercase;
	font-style: italic;
	line-height: 1;
	font-weight: 700;
}
.flash-sale--img {
    animation: flash-ani 1s infinite ease;
    margin: 0 !important;
	width: 24px;
	height: 24px;
}
@keyframes flash-ani {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
        transform: scale(1.5);
    }

    100% {
        opacity: 0;
    }
}

.h-sec1 .fs-ct > .col-inner {
	display: flex;
	gap: 15px;
	align-items:center;
}
.h-sec1 .fs-ct p {
	margin: 0;
	text-wrap: nowrap;
}
.h-sec1 .fs-ct .ux-timer {
	margin: 0;
}
.h-sec1 .fs-ct .ux-timer span strong {
	text-transform: none;
	font-size: 12px;
	font-weight: 500;
}
.h-sec3 .box .box-text{
	top: 50%;
    bottom: unset;
    transform: translateY(-50%);
    padding: 20px;
	pointer-events: none;
}
.h-sec3 .box-2 .box-text {
	width: 60%;
	transform: unset;
	top: 10px;
}
.h-sec3 .box-1 .tt, .h-sec3 .box-2 .tt{
	font-family: "Baloo 2", Sans-serif;
    font-size: clamp(1.5rem, 4vw, 2.3rem);
    font-weight: 700;
    text-transform: uppercase;
    line-height: 36px;
}
.h-sec3 .box-1 .label {
	    font-family: "Baloo 2", Sans-serif;
    font-size: clamp(1.6rem, 4vw, 3rem);
    font-weight: 800;
    line-height: 46px;
}
.h-sec3 .box-1 .label span {
	    font-weight: 700;
    color: #FC4CA5;
}
.h-sec5 .ct-collection-image img {
	    aspect-ratio: 1 / 1;
    object-fit: cover;
}
.h-sec5 .ct-collection-item {
	position: relative;
}
.h-sec5 .ct-collection-title {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    background: #fff;
    color: #222;
    width: calc(100% - 40px);
	text-align:center;
	padding: 10px;
	transition: .3s all;
	font-size: .9rem;
}
.h-sec5 .ct-collection-item:hover .ct-collection-title{
	background: var(--primary-color);
	color: #fff;
}
@media(max-width:849px) {
	.h-sec3 .box-2 .box-text {
		width: 100%;
		top: 0;
		padding: 10px 20px;
	}
}
@media(max-width:549px) {
	.ct-flashsale-title {
		justify-content: center;
		margin-bottom: 10px;
	}
}



/* product */
/* =========================================================
   CUSTOM PRODUCT BOX
========================================================= */
.product-small .box-image {
	position: relative;
}

.product-small .box-image > div {
	position: relative;
}
.product-small .box-image img {
	object-fit: cover;
	aspect-ratio: 1 / 1;
}

/* Button */
.product-small .ct-product-detail {
	position: absolute;
	left: 50%;
	bottom: 0;
	z-index: 10;
	width: 82%;
	height: 45px;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	background: #fff;
	color: #222;
	font-size: 15px;
	font-weight: 600;
	line-height: 1;
	text-decoration: none !important;
	opacity: 0;
	visibility: hidden;
	transform: translate(-50%, 100%);
	transition:
		opacity .25s ease,
		visibility .25s ease,
		transform .25s ease,
		background-color .25s ease,
		color .25s ease;
}


/* Show when hover product */
.product-small:hover .ct-product-detail {
	opacity: 1;
	visibility: visible;
	transform: translate(-50%, 0);
}


/* Button hover */
.product-small .ct-product-detail:hover {
	background: #2f50a3;
	color: #fff;
}

.product-small .ct-product-detail:hover .ct-product-detail-icon {
	color: #fff;
}


/* =========================================================
   2. RATING
========================================================= */

.product-small .ct-product-rating {
	display: flex;
	align-items: center;
	gap: 2px;
	margin: 7px 0 10px;
}


/* Star */
.product-small .ct-rating-star {
	display: inline-block;
	font-size: 19px;
	font-weight: 400;
	line-height: 1;
	color: transparent;
	-webkit-text-stroke: 1px #f5ad00;
}


/* Full star */
.product-small .ct-rating-star.is-full {
	color: #f5ad00;
	-webkit-text-stroke: 0;
}


/* Half star */
.product-small .ct-rating-star.is-half {
	background: linear-gradient(
		90deg,
		#f5ad00 50%,
		transparent 50%
	);

	-webkit-background-clip: text;
	background-clip: text;

	color: transparent;

	-webkit-text-stroke: 1px #f5ad00;
}


/* =========================================================
   3. FLASH SALE
========================================================= */

.product-small .ct-flashsale-bottom {
    background: #ccc;
    padding: 0;
    margin-top: 10px;
    border-radius: 50px;
    text-align: center;
    position: relative;
}


/* Process */
.product-small .ct-flashsale-bottom-process {
    background: #FDB904;
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    height: 100%;
    width: 75%;
    z-index: 0;
    border-radius: 50px 0 0 50px;
}


/* Flame */
.product-small .ct-flashsale-bottom-img {
    position: absolute;
    left: -3px;
    width: 30px;
    height: 30px;
    bottom: 0;
}


/* Text */
.product-small .ct-flashsale-bottom-text {
    font-size: 12px;
    line-height: 12px;
    z-index: 2;
    position: relative;
}

.product-small .box-text {
	padding: 0;
	text-align: left;
}
.product-small .product-title {
	margin: 0;
	min-height: 38px;
}
.product-small .product-title a {
	margin: 0;
	display: -webkit-box;
	-webkit-line-clamp:2;
	-webkit-box-orient:vertical;
	overflow: hidden;
	color: #000;
}
.product-small .price span.amount {
	color: var(--primary-color);
}
.product-small .badge-container {
	margin: 0;
	top: 10px;
	left: 0;
}
.product-small .badge-container .badge-inner {
	height: auto;
    display: block;
    padding: 7px;
    font-weight: 400;
    font-size: .85rem;
}


/* blog */
.box-blog-post .post-title a, .box-blog-post .from_the_blog_excerpt {
		display: -webkit-box;
	-webkit-line-clamp:2;
	-webkit-box-orient:vertical;
	overflow: hidden;
}
.box-blog-post .post-title {
	margin: 0;
}
.box-blog-post .box-text {
	padding: 10px 0 0;
}
.box-blog-post .ct-post-meta{
	display: flex;
    gap: 10px;
    color: #555;
    margin: 8px 0;
}
.single-post .entry-header {
	display: none !important;
}
.single-post .entry-content {
	padding-top: 0;
}


/* breadcrumbs */
.ct-breadcrumb {
    background: url(/wp-content/uploads/2023/05/breadcrumbs-woo-1.jpg) center center / cover no-repeat;
    padding: 50px 0;
    color: #fff;
    position: relative;
    text-align: left;
}
.ct-breadcrumb .container {
    z-index: 1;
    position: relative;
}
.ct-breadcrumb h1 {
    margin: 0;
}


/* header */
/* ====== Tắt layout cột của Flatsome ====== */
#top-bar .phone-hotline {
	font-size: .9rem;
    color: #fff;
}
#top-bar .social-icons {
    display: flex;
    align-items: center;
    gap: 6px;
}

#top-bar .social-icons a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
	color: #fff;
}

#top-bar .social-icons svg {
    width: 16px;
    height: 16px;
    display: block;
    fill: currentColor;
}
.header-nav-main > .menu-item {
	font-weight: 600;
	font-size: 1.1rem;
}
.header-nav-main > .menu-item:before {
	border: none !important;
}
.header-nav .nav-dropdown{
    display:block !important;
    width:260px;
    padding:0;
    overflow:visible;
	border: none !important;
    padding: 5px;
    box-shadow: 0 3px 5px 0 rgb(0 0 0 / 20%) !important;
}

.header-nav .nav-dropdown > li{
    display:block !important;
    width:100% !important;
    float:none !important;
    position:relative;
}

.header-nav .nav-dropdown > li.nav-dropdown-col{
    display:block !important;
    width:100% !important;
    border-right:0 !important;
}

/* ====== Level 2 ====== */

.header-nav .nav-dropdown > li > a{
    display:flex;
    justify-content:space-between;
    align-items:center;
	text-transform: none;
	color: #222 !important;
    font-size: .9rem !important;
    font-weight: 500;
}
.header-nav .nav-dropdown > li > a:hover {
	color: var(--primary-color) !important;
}

/* ====== Ẩn level 3 ====== */

.header-nav .nav-dropdown > li > .nav-column{
    display:none !important;
    position:absolute;
    left:100%;
    top:0;
	text-transform: none;
    min-width:260px;
    background:#fff;
    z-index:9999;
	border: none !important;
    padding: 5px;
    box-shadow: 0 3px 5px 0 rgb(0 0 0 / 20%) !important;
}
.header-nav .nav-dropdown > li > .nav-column a {
	color: #222 !important;
    font-size: .9rem !important;
    font-weight: 500;
}
/* Hover mới hiện */

.header-nav .nav-dropdown > li:hover > .nav-column{
    display:block !important;
}



/* contact */
.contact-sec .contact-ct > .col-inner {
	box-shadow: 0px 5px 65px 0px rgba(0, 0, 0, 0.1);
}
.contact-ct-row {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}
.contact-ct-row > p {
		display: flex;
		gap: 20px;
		width:100%;
}
.contact-ct-row >p >span {
		width:100%;
}
.contact-ct-row input,.contact-ct-row textarea,.contact-ct-row select {
	box-shadow:none !important;
	border:none !important;
	border-bottom:1px solid #ddd !important;
	padding-left: 0 !important;
	background: none !important;
}

.contact-ct-submit {
	margin: 10px 0 0 !important;
	border-radius: 8px !important;
}
.wpcf7-form {
	margin: 0;
}
.contact-ct-submit i {
margin: 0 !important;
}
.contact-sec ul {
	display: flex;
    gap: .7rem;
    flex-direction: column;
    list-style: none;
    margin: 0;
}
.contact-sec ul li {
	margin: 0 !important;
}
.contact-sec ul a {
	color: #222;
}
.footer-secondary {
	padding: 0 !important;
}
.absolute-footer {
	background:#FAF9F7 !important;
	padding: 10px 0 !important;
}
.footer-sec .icon-box p {
	margin: 0;
}
.footer-sec ul {
	display: flex;
	gap: .7rem;
	flex-direction:column;
	list-style:none;
	margin: 0;
}
.footer-sec ul li {
	margin: 0 !important;
	font-size: 15px;
}
.footer-sec ul li a {
	color: #222;
}
@media(max-width:849px) {
	.ft-ct > .col {
		padding-bottom: 15px !important;
	}
}


/* single product */
.pd-sec1 .rank-math-breadcrumb > p {
	margin: 0;
}
.pd-sec2 .ct-flashsale-title {
	justify-content:center;
	margin-bottom: 5px;
}
.pd-sec2 .fs-ct p {
	margin: 0;
	text-wrap: nowrap;
}
.pd-sec2 .fs-ct > .col-inner {
	display: flex;
	align-items:center;
	gap: 10px;
}
.pd-sec2 .product-page-price {
	margin-bottom: 0;
}
.pd-sec2 .woocommerce-variation-price {
	font-size: 1.4rem;
}
.pd-sec2 .woocommerce-variation-price del {
	font-size: 1.2rem;
}
.pd-sec2 .ux-quantity__button {
	box-shadow: none !important;
    background: none !important;
    width: 40px;
}
.pd-sec2 .qty.text {
	box-shadow: none !important;
    background: none !important;
}
.pd-sec2 .ux-quantity__button.minus {
	border-radius: 8px 0 0 8px;
}
.pd-sec2 .ux-quantity__button.plus {
	border-radius: 0 8px 8px 0;
}
.popup-sec1 strong {
	font-size: 1.3rem;
}
.pd-sec2 .btn-ct > .col-inner {
	display: flex;
	justify-content: flex-start;
	gap: 20px;
}
.pd-sec2 .btn-ct a {
	color: #222;
}
.pd-sec2 .btn-ct a i {
	color: #ca6d6f;
}



/* checkout */
.woocommerce-billing-fields .address-field {
    width: 100% !important;
}


/* Contact btn */
.contact-button-ct {
    position: fixed;
    left: 10px;
    bottom: 20px;
    z-index: 9999;
    width: fit-content !important;
}

.contact-button-ct .buttons-ct {
    padding: 0;
    max-width: fit-content !important;
    height: fit-content !important;
    border-radius: 4px;
}

.contact-button-ct .buttons-ct .col-inner,
.contact-button-ct .buttons-ct .icon-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-button-ct .buttons-ct .col-inner {
    gap: 10px;
    padding: 5px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
}

.contact-button-ct .buttons-ct .icon-box-img {
    margin: 0;
}

.contact-button-ct .buttons-ct .icon-box-text p {
    font-size: 10px;
    color: #000;
}

.contact-button-ct .buttons-ct .icon-box-img img {
    padding: 0;
}

.contact-button-ct .buttons-ct .phone-ring img {
    animation: cococ 1.5s infinite ease;
}

@keyframes cococ {
    0% { transform: rotate(0) scale(1) skew(1deg); }
    10% { transform: rotate(-25deg) scale(1) skew(1deg); }
    20% { transform: rotate(25deg) scale(1) skew(1deg); }
    30% { transform: rotate(-25deg) scale(1) skew(1deg); }
    40% { transform: rotate(25deg) scale(1) skew(1deg); }
    50% { transform: rotate(0) scale(1) skew(1deg); }
    100% { transform: rotate(0) scale(1) skew(1deg); }
}

@media (max-width: 849px) {
    .contact-page-ct > .col-inner {
        padding: 30px;
    }
}

@media (max-width: 549px) {
    .contact-button-ct {
        width: 100% !important;
        left: 0;
        bottom: 0;
    }

    .contact-page-ct > .col-inner {
        padding: 20px;
    }

    .contact-button-ct .buttons-ct {
        max-width: 100% !important;
    }

    .contact-button-ct .buttons-ct .col-inner {
        flex-direction: row;
        width: 100% !important;
        border-radius: 0;
        justify-content: space-around;
    }

    .footer-wrapper {
        margin-bottom: 52px;
    }
}


.custom-description-wrapper {
    position: relative;
    max-height: 300px;
    overflow: hidden;
    transition: max-height 0.3s ease;
}
.toggle-description-btn {
    color: var(--primary-color);
    cursor: pointer;
    font-weight: bold;
}


.woocommerce-cart .shop_table .product-name a {
		display: -webkit-box;
	-webkit-line-clamp:2;
	-webkit-box-orient:vertical;
	overflow: hidden;
}